Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationMaterialManager Class Reference

変換マテリアルマネージャ More...

`#include <TranslationMaterialManager.h>`

List of all members.

## Public Member Functions
| TranslationMaterialManager ()
| コンストラクタ
virtual | ~TranslationMaterialManager ()
| デストラクタ
virtual bool | collectMaterials ()
| マテリアルの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual int | clear ()
| クリア
virtual int | getCount () const
| マテリアル数の取得
virtual TranslationMaterial * | get (int index) const
| マテリアルの取得
virtual TranslationMaterial * | search (String name) const
| マテリアルの検索
## Protected Member Functions
virtual bool | analysisMaterial (const MObject &materialObject)
| マテリアルの解析

## Detailed Description

変換マテリアルマネージャ

Definition at line 43 of file TranslationMaterialManager.h.

## Member Function Documentation

bool LampForMaya::TranslationMaterialManager::analysisMaterial | ( | const MObject & | materialObject | ) | `[protected, virtual]`

  | マテリアルの解析 Parameters:
  materialObject | マテリアルオブジェクト
Returns: 成功すればtrue Definition at line 61 of file TranslationMaterialManager.cpp. References LampForMaya::TranslationMaterial::analyze(), MayaErrorOut, and MayaStatusCheck. Referenced by collectMaterials().

int LampForMaya::TranslationMaterialManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 104 of file TranslationMaterialManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationMaterialManager().

bool LampForMaya::TranslationMaterialManager::collectMaterials | ( |  | ) | `[virtual]`

| マテリアルの収集 Returns: 成功すればtrue Definition at line 46 of file TranslationMaterialManager.cpp. References analysisMaterial(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationMaterialManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 96 of file TranslationMaterialManager.cpp. References LampForMaya::TranslationMaterial::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationMaterial* LampForMaya::TranslationMaterialManager::get | ( | int | index | ) | const`[inline, virtual]`

  | マテリアルの取得 Parameters:
  index | マテリアルのインデクス
Returns: マテリアル Definition at line 85 of file TranslationMaterialManager.h. Referenced by convertToLamp().

virtual int LampForMaya::TranslationMaterialManager::getCount | ( |  | ) | const`[inline, virtual]`

| マテリアル数の取得 Returns: マテリアル数 Definition at line 78 of file TranslationMaterialManager.h. Referenced by clear(), convertToLamp(), and ~TranslationMaterialManager().

virtual TranslationMaterial* LampForMaya::TranslationMaterialManager::search | ( | String | name | ) | const`[inline, virtual]`

  | マテリアルの検索 Parameters:
  name | 検索するマテリアル名
Returns: マテリアル Definition at line 94 of file TranslationMaterialManager.h.

The documentation for this class was generated from the following files:

- TranslationMaterialManager.h
- TranslationMaterialManager.cpp